Index: CONFIG_DEVT/IPSLCM6.2.2_ENSEMBLES/config/IPSLCM6/CM622-ENSEMBLES.01/DRIVER/opa9.driver
===================================================================
--- CONFIG_DEVT/IPSLCM6.2.2_ENSEMBLES/config/IPSLCM6/CM622-ENSEMBLES.01/DRIVER/opa9.driver	(revision 6232)
+++ CONFIG_DEVT/IPSLCM6.2.2_ENSEMBLES/config/IPSLCM6/CM622-ENSEMBLES.01/DRIVER/opa9.driver	(revision 6233)
@@ -215,38 +215,4 @@
 		    OPA_NIT000="${NEMO_NIT000}"
 		    OPA_NITEND="${NEMO_NITEND}"
-
-		    cp  --remove-destination ../ENSEMBLE_TEMPLATE/namelist_cfg namelist_cfg
-
-		    IGCM_comp_modifyNamelist blocker    namelist_cfg cn_exp       ${config_UserChoices_JobName}
-		    IGCM_comp_modifyNamelist blocker    namelist_cfg nn_it000     ${OPA_NIT000}
-		    IGCM_comp_modifyNamelist blocker    namelist_cfg nn_itend     ${OPA_NITEND}
-		    IGCM_comp_modifyNamelist blocker    namelist_cfg ln_rstart    ${OPA_LRSTAR}
-		    IGCM_comp_modifyNamelist blocker    namelist_cfg ln_rstart_ts ${OPA_LRSTAR_TS}
-		    IGCM_comp_modifyNamelist blocker    namelist_cfg ln_clodyn    ${OPA_CLODYN}
-		    IGCM_comp_modifyNamelist blocker    namelist_cfg nn_stock     ${OPA_NSTOCK}
-		    IGCM_comp_modifyNamelist blocker    namelist_cfg nn_rstctl    ${OPA_NRSTDT}
-		    IGCM_comp_modifyNamelist blocker    namelist_cfg nn_date0     ${PeriodDateBegin}
-		    IGCM_comp_modifyNamelist nonblocker namelist_cfg nn_msh       ${OPA_NMSH}
-		    IGCM_comp_modifyNamelist nonblocker namelist_cfg nn_rnf_depth_file  ${OPA_NMSH}
-		    IGCM_comp_modifyNamelist blocker    namelist_cfg nn_leapy     ${OPA_NLEAPY}
-
-		    # Domain decomposition : use of value in opa9.card or DEFAULT value. 
-
-		    if [ ! X${opa9_UserChoices_Nproc_ni} = X ] ; then
-			IGCM_comp_modifyNamelist nonblocker namelist_cfg jpni ${opa9_UserChoices_Nproc_ni}
-		    else
-			IGCM_comp_modifyNamelist nonblocker namelist_cfg jpni DEFAULT
-		    fi
-		    if [ ! X${opa9_UserChoices_Nproc_nj} = X ] ; then
-			IGCM_comp_modifyNamelist nonblocker namelist_cfg jpnj ${opa9_UserChoices_Nproc_nj}
-		    else
-			IGCM_comp_modifyNamelist nonblocker namelist_cfg jpnj DEFAULT
-		    fi
-		    if [ ! X${opa9_UserChoices_Total_nproc} = X ] ; then
-			IGCM_comp_modifyNamelist nonblocker namelist_cfg jpnij ${opa9_UserChoices_Total_nproc}
-		    else
-			IGCM_comp_modifyNamelist nonblocker namelist_cfg jpnij DEFAULT
-		    fi
-		    
 		    
 		    cd ..
@@ -256,37 +222,37 @@
 	fi
     fi
-    # typeset -r PRECIS=8
-    # NEMO_END=$( echo $( awk "BEGIN { printf \"%0${PRECIS}d\",${OPA_NITEND} }" ) ) 
-
-    # IGCM_comp_modifyNamelist blocker    namelist_cfg cn_exp       ${config_UserChoices_JobName}
-    # IGCM_comp_modifyNamelist blocker    namelist_cfg nn_it000     ${OPA_NIT000}
-    # IGCM_comp_modifyNamelist blocker    namelist_cfg nn_itend     ${OPA_NITEND}
-    # IGCM_comp_modifyNamelist blocker    namelist_cfg ln_rstart    ${OPA_LRSTAR}
-    # IGCM_comp_modifyNamelist blocker    namelist_cfg ln_rstart_ts ${OPA_LRSTAR_TS}
-    # IGCM_comp_modifyNamelist blocker    namelist_cfg ln_clodyn    ${OPA_CLODYN}
-    # IGCM_comp_modifyNamelist blocker    namelist_cfg nn_stock     ${OPA_NSTOCK}
-    # IGCM_comp_modifyNamelist blocker    namelist_cfg nn_rstctl    ${OPA_NRSTDT}
-    # IGCM_comp_modifyNamelist blocker    namelist_cfg nn_date0     ${PeriodDateBegin}
-    # IGCM_comp_modifyNamelist nonblocker namelist_cfg nn_msh       ${OPA_NMSH}
-    # IGCM_comp_modifyNamelist nonblocker namelist_cfg nn_rnf_depth_file  ${OPA_NMSH}
-    # IGCM_comp_modifyNamelist blocker    namelist_cfg nn_leapy     ${OPA_NLEAPY}
-
-    # # Domain decomposition : use of value in opa9.card or DEFAULT value. 
-
-    # if [ ! X${opa9_UserChoices_Nproc_ni} = X ] ; then
-    #    IGCM_comp_modifyNamelist nonblocker namelist_cfg jpni ${opa9_UserChoices_Nproc_ni}
-    # else
-    # 	IGCM_comp_modifyNamelist nonblocker namelist_cfg jpni DEFAULT
-    # fi
-    # if [ ! X${opa9_UserChoices_Nproc_nj} = X ] ; then
-    #    IGCM_comp_modifyNamelist nonblocker namelist_cfg jpnj ${opa9_UserChoices_Nproc_nj}
-    # else
-    #     IGCM_comp_modifyNamelist nonblocker namelist_cfg jpnj DEFAULT
-    # fi
-    # if [ ! X${opa9_UserChoices_Total_nproc} = X ] ; then
-    #    IGCM_comp_modifyNamelist nonblocker namelist_cfg jpnij ${opa9_UserChoices_Total_nproc}
-    # else
-    #     IGCM_comp_modifyNamelist nonblocker namelist_cfg jpnij DEFAULT
-    # fi
+    typeset -r PRECIS=8
+    NEMO_END=$( echo $( awk "BEGIN { printf \"%0${PRECIS}d\",${OPA_NITEND} }" ) ) 
+
+    IGCM_comp_modifyNamelist blocker    namelist_cfg cn_exp       ${config_UserChoices_JobName}
+    IGCM_comp_modifyNamelist blocker    namelist_cfg nn_it000     ${OPA_NIT000}
+    IGCM_comp_modifyNamelist blocker    namelist_cfg nn_itend     ${OPA_NITEND}
+    IGCM_comp_modifyNamelist blocker    namelist_cfg ln_rstart    ${OPA_LRSTAR}
+    IGCM_comp_modifyNamelist blocker    namelist_cfg ln_rstart_ts ${OPA_LRSTAR_TS}
+    IGCM_comp_modifyNamelist blocker    namelist_cfg ln_clodyn    ${OPA_CLODYN}
+    IGCM_comp_modifyNamelist blocker    namelist_cfg nn_stock     ${OPA_NSTOCK}
+    IGCM_comp_modifyNamelist blocker    namelist_cfg nn_rstctl    ${OPA_NRSTDT}
+    IGCM_comp_modifyNamelist blocker    namelist_cfg nn_date0     ${PeriodDateBegin}
+    IGCM_comp_modifyNamelist nonblocker namelist_cfg nn_msh       ${OPA_NMSH}
+    IGCM_comp_modifyNamelist nonblocker namelist_cfg nn_rnf_depth_file  ${OPA_NMSH}
+    IGCM_comp_modifyNamelist blocker    namelist_cfg nn_leapy     ${OPA_NLEAPY}
+
+    # Domain decomposition : use of value in opa9.card or DEFAULT value. 
+
+    if [ ! X${opa9_UserChoices_Nproc_ni} = X ] ; then
+       IGCM_comp_modifyNamelist nonblocker namelist_cfg jpni ${opa9_UserChoices_Nproc_ni}
+    else
+	IGCM_comp_modifyNamelist nonblocker namelist_cfg jpni DEFAULT
+    fi
+    if [ ! X${opa9_UserChoices_Nproc_nj} = X ] ; then
+       IGCM_comp_modifyNamelist nonblocker namelist_cfg jpnj ${opa9_UserChoices_Nproc_nj}
+    else
+        IGCM_comp_modifyNamelist nonblocker namelist_cfg jpnj DEFAULT
+    fi
+    if [ ! X${opa9_UserChoices_Total_nproc} = X ] ; then
+       IGCM_comp_modifyNamelist nonblocker namelist_cfg jpnij ${opa9_UserChoices_Total_nproc}
+    else
+        IGCM_comp_modifyNamelist nonblocker namelist_cfg jpnij DEFAULT
+    fi
 
     # Update iodef.xml