Index: modipsl/trunk/util/mod.def
===================================================================
--- modipsl/trunk/util/mod.def	(revision 6239)
+++ modipsl/trunk/util/mod.def	(revision 6251)
@@ -722,22 +722,22 @@
 #-H- ORCHIDEE_trunk  This is a working configuration using the latest revision of ORCHIDEE trunk
 #-M- ORCHIDEE_trunk  platform-extract@listes.ipsl.fr
-#-C- ORCHIDEE_trunk  IOIPSL/tags/v2_2_5                       6058     8 IOIPSL             modeles
-#-C- ORCHIDEE_trunk  trunk/libIGCM                            1552    10 libIGCM            .
+#-C- ORCHIDEE_trunk  IOIPSL/tags/v2_2_5                       6249     8 IOIPSL             modeles
+#-C- ORCHIDEE_trunk  trunk/libIGCM                            1558    10 libIGCM            .
 #-C- ORCHIDEE_trunk  trunk/ORCHIDEE                           HEAD    14 ORCHIDEE           modeles
 #-C- ORCHIDEE_trunk  trunk/ORCHIDEE_OL                        HEAD    14 ORCHIDEE_OL        config
-#-C- ORCHIDEE_trunk  XIOS/trunk                               2331    12 XIOS               modeles
+#-C- ORCHIDEE_trunk  XIOS/trunk                               2379    12 XIOS               modeles
 
 
 #-H- ORCHIDEE_4_1  ORCHIDEE offline configuration using tag ORCHIDEE_4_1
 #-M- ORCHIDEE_4_1  platform-extract@listes.ipsl.fr
-#-C- ORCHIDEE_4_1  IOIPSL/tags/v2_2_5                       6058     8 IOIPSL             modeles
-#-C- ORCHIDEE_4_1  trunk/libIGCM                            1552    10 libIGCM            .
-#-C- ORCHIDEE_4_1  tags/ORCHIDEE_4_1/ORCHIDEE               7706    14 ORCHIDEE           modeles
-#-C- ORCHIDEE_4_1  tags/ORCHIDEE_4_1/ORCHIDEE_OL            7706    14 ORCHIDEE_OL        config
-#-C- ORCHIDEE_4_1  XIOS/trunk                               2331    12 XIOS               modeles
+#-C- ORCHIDEE_4_1  IOIPSL/tags/v2_2_5                       6249     8 IOIPSL             modeles
+#-C- ORCHIDEE_4_1  trunk/libIGCM                            1558    10 libIGCM            .
+#-C- ORCHIDEE_4_1  tags/ORCHIDEE_4_1/ORCHIDEE               7761    14 ORCHIDEE           modeles
+#-C- ORCHIDEE_4_1  tags/ORCHIDEE_4_1/ORCHIDEE_OL            7761    14 ORCHIDEE_OL        config
+#-C- ORCHIDEE_4_1  XIOS/trunk                               2379    12 XIOS               modeles
 
 
 #-H- ORCHIDEE_trunk_TP2022  ORCHIDEE offline configuration
-#-H- ORCHIDEE_trunk_TP2022  This is a working configuration using a fixed revision of ORCHIDEE trunk to use with libIGCM TPs of year 2022
+#-H- ORCHIDEE_trunk_TP2022  This is a working configuration using a fixed revision of ORCHIDEE trunk to use with libIGCM TPs of year 2022. Obsolete configuration.
 #-M- ORCHIDEE_trunk_TP2022  platform-extract@listes.ipsl.fr
 #-C- ORCHIDEE_trunk_TP2022  IOIPSL/tags/v2_2_5                       6058     8 IOIPSL             modeles
@@ -751,9 +751,9 @@
 #-H- ORCHIDEE_3_head  This is a working configuration using the latest revision of ORCHIDEE_3 containing the nitrogen cycle
 #-M- ORCHIDEE_3_head  platform-extract@listes.ipsl.fr
-#-C- ORCHIDEE_3_head  IOIPSL/tags/v2_2_5                       6058     8 IOIPSL             modeles
-#-C- ORCHIDEE_3_head  trunk/libIGCM                            1552    10 libIGCM            .
+#-C- ORCHIDEE_3_head  IOIPSL/tags/v2_2_5                       6249     8 IOIPSL             modeles
+#-C- ORCHIDEE_3_head  trunk/libIGCM                            1558    10 libIGCM            .
 #-C- ORCHIDEE_3_head  branches/ORCHIDEE_3/ORCHIDEE             HEAD    14 ORCHIDEE           modeles
 #-C- ORCHIDEE_3_head  branches/ORCHIDEE_3/ORCHIDEE_OL          HEAD    14 ORCHIDEE_OL        config
-#-C- ORCHIDEE_3_head  XIOS/trunk                               2331    12 XIOS               modeles
+#-C- ORCHIDEE_3_head  XIOS/trunk                               2379    12 XIOS               modeles
 
 #-H- ORCHIDEE_2_2  ORCHIDEE offline configuration using the branch ORCHIDEE_2_2
@@ -761,9 +761,9 @@
 #-H- ORCHIDEE_2_2  This version is derived from ORCHIDEE_2_1 but contains some more bug corrections and some added developpements as option
 #-M- ORCHIDEE_2_2  platform-extract@listes.ipsl.fr
-#-C- ORCHIDEE_2_2  IOIPSL/tags/v2_2_5                       6058    8  IOIPSL             modeles
-#-C- ORCHIDEE_2_2  trunk/libIGCM                            1552    10 libIGCM            .
+#-C- ORCHIDEE_2_2  IOIPSL/tags/v2_2_5                       6249    8  IOIPSL             modeles
+#-C- ORCHIDEE_2_2  trunk/libIGCM                            1558    10 libIGCM            .
 #-C- ORCHIDEE_2_2  branches/ORCHIDEE_2_2/ORCHIDEE           HEAD    14 ORCHIDEE           modeles
 #-C- ORCHIDEE_2_2  branches/ORCHIDEE_2_2/ORCHIDEE_OL        HEAD    14 ORCHIDEE_OL        config
-#-C- ORCHIDEE_2_2  XIOS/trunk                               2331    12 XIOS               modeles
+#-C- ORCHIDEE_2_2  XIOS/trunk                               2379    12 XIOS               modeles
 
 #-H- ORCHIDEE_2_1  ORCHIDEE offline configuration using the tag ORCHIDEE_2_1