Index: CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/DRIVER/orchidee.driver
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/DRIVER/orchidee.driver	(revision 6262)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/DRIVER/orchidee.driver	(revision 6263)
@@ -42,4 +42,7 @@
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_level 0
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_freq 1mo
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate4 enabled .FALSE.
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate4 output_level 0
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate4 output_freq 1mo
     fi
 
Index: CONFIG/UNIFORM/v6/IPSLCM6.3/GENERAL/DRIVER/orchidee.driver
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.3/GENERAL/DRIVER/orchidee.driver	(revision 6262)
+++ CONFIG/UNIFORM/v6/IPSLCM6.3/GENERAL/DRIVER/orchidee.driver	(revision 6263)
@@ -42,4 +42,7 @@
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_level 0
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_freq 1mo
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate4 enabled .FALSE.
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate4 output_level 0
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate4 output_freq 1mo
     fi
 
Index: CONFIG/UNIFORM/v6/IPSLCM6.5.1/GENERAL/DRIVER/orchidee.driver
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.5.1/GENERAL/DRIVER/orchidee.driver	(revision 6262)
+++ CONFIG/UNIFORM/v6/IPSLCM6.5.1/GENERAL/DRIVER/orchidee.driver	(revision 6263)
@@ -42,4 +42,7 @@
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_level 0
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_freq 1mo
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate4 enabled .FALSE.
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate4 output_level 0
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate4 output_freq 1mo
     fi
 
Index: CONFIG/UNIFORM/v6/IPSLCM6.5/GENERAL/DRIVER/orchidee.driver
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.5/GENERAL/DRIVER/orchidee.driver	(revision 6262)
+++ CONFIG/UNIFORM/v6/IPSLCM6.5/GENERAL/DRIVER/orchidee.driver	(revision 6263)
@@ -42,4 +42,7 @@
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_level 0
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_freq 1mo
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate4 enabled .FALSE.
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate4 output_level 0
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate4 output_freq 1mo
     fi
 
Index: CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/orchidee.driver
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/orchidee.driver	(revision 6262)
+++ CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/orchidee.driver	(revision 6263)
@@ -42,4 +42,7 @@
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_level 0
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_freq 1mo
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate4 enabled .FALSE.
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate4 output_level 0
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate4 output_freq 1mo
     fi
 
Index: CONFIG/UNIFORM/v6/IPSLCM6_LANDN/GENERAL/DRIVER/orchidee.driver
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6_LANDN/GENERAL/DRIVER/orchidee.driver	(revision 6262)
+++ CONFIG/UNIFORM/v6/IPSLCM6_LANDN/GENERAL/DRIVER/orchidee.driver	(revision 6263)
@@ -42,4 +42,7 @@
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_level 0
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_freq 1mo
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate4 enabled .FALSE.
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate4 output_level 0
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate4 output_freq 1mo
     fi
 
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/DRIVER/orchidee.driver
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/DRIVER/orchidee.driver	(revision 6262)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/DRIVER/orchidee.driver	(revision 6263)
@@ -42,4 +42,7 @@
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_level 0
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_freq 1mo
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate4 enabled .FALSE.
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate4 output_level 0
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate4 output_freq 1mo
     fi
 
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.3/GENERAL/DRIVER/orchidee.driver
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.3/GENERAL/DRIVER/orchidee.driver	(revision 6262)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.3/GENERAL/DRIVER/orchidee.driver	(revision 6263)
@@ -42,4 +42,7 @@
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_level 0
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_freq 1mo
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate4 enabled .FALSE.
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate4 output_level 0
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate4 output_freq 1mo
     fi
 
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.2/GENERAL/DRIVER/orchidee.driver
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.2/GENERAL/DRIVER/orchidee.driver	(revision 6262)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.2/GENERAL/DRIVER/orchidee.driver	(revision 6263)
@@ -42,4 +42,7 @@
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_level 0
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_freq 1mo
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate4 enabled .FALSE.
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate4 output_level 0
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate4 output_freq 1mo
     fi
 
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.3/GENERAL/DRIVER/orchidee.driver
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.3/GENERAL/DRIVER/orchidee.driver	(revision 6262)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.3/GENERAL/DRIVER/orchidee.driver	(revision 6263)
@@ -42,4 +42,7 @@
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_level 0
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_freq 1mo
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate4 enabled .FALSE.
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate4 output_level 0
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate4 output_freq 1mo
     fi
 
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.4/GENERAL/DRIVER/orchidee.driver
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.4/GENERAL/DRIVER/orchidee.driver	(revision 6262)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.4/GENERAL/DRIVER/orchidee.driver	(revision 6263)
@@ -42,4 +42,7 @@
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_level 0
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_freq 1mo
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate4 enabled .FALSE.
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate4 output_level 0
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate4 output_freq 1mo
     fi
 
Index: CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/DRIVER/orchidee.driver
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/DRIVER/orchidee.driver	(revision 6262)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6/GENERAL/DRIVER/orchidee.driver	(revision 6263)
@@ -42,4 +42,7 @@
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_level 0
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_freq 1mo
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate4 enabled .FALSE.
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate4 output_level 0
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate4 output_freq 1mo
     fi
 