Index: CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/PARAM/namcouple_ORCA1xICO40
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/PARAM/namcouple_ORCA1xICO40	(revision 5479)
+++ CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/PARAM/namcouple_ORCA1xICO40	(revision 6296)
@@ -60,5 +60,5 @@
 # Mozaic: 1) mapping filename 2) connected unit 3) dataset rank 4) Maximum
 #         number of overlapped neighbors
-rmp_teORCA1.2_to_tICO40_TempIceAlb_1stOrder_MOSAIX_v1.nc dst
+rmp_teORCA1.2_to_tICO40_TempIceAlb_1stOrder_MOSAIX_v2.nc dst
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -75,5 +75,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 #
-rmp_teORCA1.2_to_tICO40_TempIceAlb_1stOrder_MOSAIX_v1.nc dst
+rmp_teORCA1.2_to_tICO40_TempIceAlb_1stOrder_MOSAIX_v2.nc dst
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -90,5 +90,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 # 
-rmp_teORCA1.2_to_tICO40_TempIceAlb_1stOrder_MOSAIX_v1.nc dst
+rmp_teORCA1.2_to_tICO40_TempIceAlb_1stOrder_MOSAIX_v2.nc dst
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -105,5 +105,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 #
- rmp_teORCA1.2_to_tICO40_TempIceAlb_1stOrder_MOSAIX_v1.nc dst
+ rmp_teORCA1.2_to_tICO40_TempIceAlb_1stOrder_MOSAIX_v2.nc dst
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -119,5 +119,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 #
-rmp_teORCA1.2_to_tICO40_TempIceAlb_1stOrder_MOSAIX_v1.nc dst
+rmp_teORCA1.2_to_tICO40_TempIceAlb_1stOrder_MOSAIX_v2.nc dst
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -133,5 +133,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 #
-rmp_teORCA1.2_to_tICO40_TempIceAlb_1stOrder_MOSAIX_v1.nc dst
+rmp_teORCA1.2_to_tICO40_TempIceAlb_1stOrder_MOSAIX_v2.nc dst
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #  
@@ -146,5 +146,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 #
-rmp_teORCA1.2_to_tICO40_TempIceAlb_1stOrder_MOSAIX_v1.nc dst
+rmp_teORCA1.2_to_tICO40_TempIceAlb_1stOrder_MOSAIX_v2.nc dst
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -164,5 +164,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 # Interpolation method ou parametres mozaic
-rmp_tICO40_to_ueORCA1.2_WindStress_2ndOrder_MOSAIX_v1.nc src
+rmp_tICO40_to_ueORCA1.2_WindStress_2ndOrder_MOSAIX_v2.nc src
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -177,5 +177,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 # Interpolation method ou parametres mozaic
-rmp_tICO40_to_ueORCA1.2_WindStress_2ndOrder_MOSAIX_v1.nc src
+rmp_tICO40_to_ueORCA1.2_WindStress_2ndOrder_MOSAIX_v2.nc src
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -190,5 +190,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 # Interpolation method ou parametres mozaic
-rmp_tICO40_to_ueORCA1.2_WindStress_2ndOrder_MOSAIX_v1.nc src
+rmp_tICO40_to_ueORCA1.2_WindStress_2ndOrder_MOSAIX_v2.nc src
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -205,5 +205,5 @@
 MAPPING
 # Interpolation method or mozaic parameters
-rmp_tICO40_to_veORCA1.2_WindStress_2ndOrder_MOSAIX_v1.nc src
+rmp_tICO40_to_veORCA1.2_WindStress_2ndOrder_MOSAIX_v2.nc src
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -219,5 +219,5 @@
 MAPPING
 # Interpolation method or mozaic parameters
-rmp_tICO40_to_veORCA1.2_WindStress_2ndOrder_MOSAIX_v1.nc src
+rmp_tICO40_to_veORCA1.2_WindStress_2ndOrder_MOSAIX_v2.nc src
 #
 # CHECKOUT: indicate computation of global, land and sea field integrals.
@@ -234,5 +234,5 @@
 MAPPING
 # Interpolation method or mozaic parameters
-rmp_tICO40_to_veORCA1.2_WindStress_2ndOrder_MOSAIX_v1.nc src
+rmp_tICO40_to_veORCA1.2_WindStress_2ndOrder_MOSAIX_v2.nc src
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -246,5 +246,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 # Interpolation method ou parametres mozaic
-rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_MOSAIX_v1.nc src
+rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_MOSAIX_v2.nc src
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 # 
@@ -259,5 +259,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 # Interpolation method ou parametres mozaic
-rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_MOSAIX_v1.nc src
+rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_MOSAIX_v2.nc src
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -272,5 +272,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 # Interpolation method ou parametres mozaic
-rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_MOSAIX_v1.nc src
+rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_MOSAIX_v2.nc src
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -285,5 +285,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 # Interpolation method ou parametres mozaic
-rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_MOSAIX_v1.nc src
+rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_MOSAIX_v2.nc src
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -298,5 +298,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 # Interpolation method ou parametres mozaic
-rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_MOSAIX_v1.nc src
+rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_MOSAIX_v2.nc src
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -311,5 +311,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 # Interpolation method or mozaic parameters
-rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_MOSAIX_v1.nc src
+rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_MOSAIX_v2.nc src
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -324,5 +324,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 # Interpolation method ou parametres mozaic
-rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_MOSAIX_v1.nc src
+rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_MOSAIX_v2.nc src
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -337,5 +337,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 # Interpolation method or mozaic parameters
-rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_MOSAIX_v1.nc src
+rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_MOSAIX_v2.nc src
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -350,5 +350,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 # Interpolation method ou parametres mozaic
-rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_MOSAIX_v1.nc src
+rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_MOSAIX_v2.nc src
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -363,5 +363,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 # Interpolation method ou parametres mozaic
-rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_MOSAIX_v1.nc src
+rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_MOSAIX_v2.nc src
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -377,5 +377,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 # Interpolation method ou parametres mozaic
-rmp_tICO40_to_teORCA1.2_calving_nosouth_MOSAIX_v1.nc dst
+rmp_tICO40_to_teORCA1.2_calving_nosouth_MOSAIX_v2.nc dst
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -391,5 +391,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 # Interpolation method ou parametres mozaic
-rmp_tICO40_to_teORCA1.2_calving_iceberg_MOSAIX_v1.nc dst
+rmp_tICO40_to_teORCA1.2_calving_iceberg_MOSAIX_v2.nc dst
 0.5 0
 # CHECKOUT: indicate computation of global, land and sea field integrals.
@@ -405,5 +405,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 # Interpolation method ou parametres mozaic
-rmp_tICO40_to_teORCA1.2_calving_iceshelf_MOSAIX_v1.nc dst
+rmp_tICO40_to_teORCA1.2_calving_iceshelf_MOSAIX_v2.nc dst
 0.5 0
 # CHECKOUT: indicate computation of global, land and sea field integrals.
@@ -412,17 +412,18 @@
 # Field 27 : liquid run-off (river + direct)  (a->o 18)
 #
-COLIQRUN  O_Runoff 32 <freq_coupling_roff_calv>  3  flxat.nc   <output_mode>
-1 16002 362 332 tico  torc  LAG=<lag_atm_roff_calv> 
-P  0 P  2
-MAPPING CONSERV BLASNEW
+COLIQRUN  O_Runoff 32 <freq_coupling_roff_calv>  4  flxat.nc   <output_mode>
+1 16002 362 332 oico  torc  LAG=<lag_atm_roff_calv> 
+P  0 P  2
+LOCTRANS MAPPING CONSERV BLASNEW
+AVERAGE
 # Interpolation method ou parametres mozaic
 # weights convert from kg/s to kg/m^2/s
-rmp_tICO40_to_teORCA1.2_runoff_Quantity_to_Surfacic_MOSAIX_v1.nc src
-#rmp_tICO40_to_teORCA1.2_Quantity_MOSAIX_v1.nc src
-#rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_MOSAIX_v1.nc src
+rmp_tICO40_to_teORCA1.2_runoff_Quantity_to_Surfacic_MOSAIX_v2.nc dst
+#rmp_tICO40_to_teORCA1.2_Quantity_MOSAIX_v2.nc src
+#rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_MOSAIX_v2.nc src
 # CONSERV
 GLOBAL bfb
 # change units from m/s to kg/s
-1000 0
+1000.0 0
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #