Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 6309)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 6310)
@@ -37,12 +37,16 @@
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECDYN.nc), \
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECPHY.nc), \
-	(${R_IN}/ATM/Relief.nc, .), \
+	(${R_IN}/ATM/Relief_GMTED2010_15n015_00625deg_plus_GA.nc, Relief.nc), \
 	(${R_IN}/ATM/Rugos.nc, .), \
-	(${R_IN}/ATM/landiceref.nc, .), \
+	(${R_IN}/ATM/landiceref_GA_HR.new.nc, landiceref.nc), \
 	(${R_IN}/ATM/START/eORCA1.2xLMD144x142/o2a_v3.nc, o2a.nc)
 
+# Change to use following files for relief and landice if you need to fit to the coupled IPSLCM6.1 version:
+#	(${R_IN}/ATM/Relief_orig.nc, Relief.nc), \
+#	(${R_IN}/ATM/landiceref_orig.nc, landiceref.nc) \
+#
 # Optional: The o2a.nc file is optional and is used to fit with the coupled configuration for the land-sea mask.
 # The o2a file can be removed if it does not correspond to the resolution or zoom. In that case, Relief.nc will be used to calculate the mask land-sea.
-# Use following o2a file to fit with IPSLCM6.0.11 coupled model:
+# Use following o2a file to fit with IPSLCM6.1 coupled model:
 #       (${R_IN}/ATM/START/eORCA1.2xLMD144x142/o2a_v3.nc, o2a.nc)
 # Use following o2a file for regular grid 96x95, correspond to coupled configuration IPSLCM5A2:
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card	(revision 6309)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card	(revision 6310)
@@ -29,7 +29,7 @@
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECDYN.nc), \
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECPHY.nc), \
-	(${R_IN}/ATM/Relief.nc, .), \
+	(${R_IN}/ATM/Relief_GMTED2010_15n015_00625deg_plus_GA.nc, Relief.nc), \
 	(${R_IN}/ATM/Rugos.nc, .), \
-	(${R_IN}/ATM/landiceref.nc, .) \
+	(${R_IN}/ATM/landiceref_GA_HR.new.nc, landiceref.nc) \
 	(${R_IN}/ATM/OZONE/UReading/historical.v20160711.v2/original/144x96x66/tro3_1979_2008_clim.nc, climoz.nc), \
 	(${R_IN}/ATM/LIMIT/AMIP.v20180427/original/360x180/BCS/amipbc_sst_360x180_1979_2008_clim.nc, amipbc_sst_1x1.nc), \
@@ -37,7 +37,11 @@
 	(${R_IN}/ATM/START/eORCA1.2xLMD144x142/o2a_v3.nc, o2a.nc)
 
+# Change to use following files for relief and landice if you need to fit to the coupled IPSLCM6.1 version:
+#	(${R_IN}/ATM/Relief_orig.nc, Relief.nc), \
+#	(${R_IN}/ATM/landiceref_orig.nc, landiceref.nc) \
+#
 # Optional: The o2a.nc file is optional and is used to fit with the coupled configuration for the land-sea mask.
 # The o2a file can be removed if it does not correspond to the resolution or zoom. In that case, Relief.nc will be used to calculate the mask land-sea.
-# Use following o2a file to fit with IPSLCM6.0.11 coupled model:
+# Use following o2a file to fit with IPSLCM6.1 coupled model:
 #       (${R_IN}/ATM/START/eORCA1.2xLMD144x142/o2a_v3.nc, o2a.nc)
 # Use following o2a file for regular grid 96x95, correspond to coupled configuration IPSLCM5A2:
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 6309)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 6310)
@@ -37,12 +37,16 @@
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECDYN.nc), \
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECPHY.nc), \
-	(${R_IN}/ATM/Relief.nc, .), \
+	(${R_IN}/ATM/Relief_GMTED2010_15n015_00625deg_plus_GA.nc, Relief.nc), \
 	(${R_IN}/ATM/Rugos.nc, .), \
-	(${R_IN}/ATM/landiceref.nc, .), \
+	(${R_IN}/ATM/landiceref_GA_HR.new.nc, landiceref.nc), \
 	(${R_IN}/ATM/START/eORCA1.2xLMD144x142/o2a_v3.nc, o2a.nc)
 
+# Change to use following files for relief and landice if you need to fit to the coupled IPSLCM6.1 version:
+#	(${R_IN}/ATM/Relief_orig.nc, Relief.nc), \
+#	(${R_IN}/ATM/landiceref_orig.nc, landiceref.nc) \
+#
 # Optional: The o2a.nc file is optional and is used to fit with the coupled configuration for the land-sea mask.
 # The o2a file can be removed if it does not correspond to the resolution or zoom. In that case, Relief.nc will be used to calculate the mask land-sea.
-# Use following o2a file to fit with IPSLCM6.0.11 coupled model:
+# Use following o2a file to fit with IPSLCM6.1 coupled model:
 #       (${R_IN}/ATM/START/eORCA1.2xLMD144x142/o2a_v3.nc, o2a.nc)
 # Use following o2a file for regular grid 96x95, correspond to coupled configuration IPSLCM5A2:
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZ/CREATE_clim/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZ/CREATE_clim/COMP/lmdz.card	(revision 6309)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZ/CREATE_clim/COMP/lmdz.card	(revision 6310)
@@ -6,5 +6,5 @@
 [UserChoices]
 # Physics package to use
-LMDZ_Physics=NPv6.1
+LMDZ_Physics=NPv6.2
 
 # Manage radiative aerosol effect and ozone 
@@ -29,7 +29,7 @@
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECDYN.nc), \
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECPHY.nc), \
-	(${R_IN}/ATM/Relief.nc, .), \
+	(${R_IN}/ATM/Relief_GMTED2010_15n015_00625deg_plus_GA.nc, Relief.nc), \
 	(${R_IN}/ATM/Rugos.nc, .), \
-	(${R_IN}/ATM/landiceref.nc, .) \
+	(${R_IN}/ATM/landiceref_GA_HR.new.nc, landiceref.nc) \
 	(${R_IN}/ATM/OZONE/UReading/historical.v20160711.v2/original/144x96x66/tro3_1979_2008_clim.nc, climoz.nc), \
 	(${R_IN}/ATM/LIMIT/AMIP.v20180427/original/360x180/BCS/amipbc_sst_360x180_1979_2008_clim.nc, amipbc_sst_1x1.nc), \
@@ -37,7 +37,11 @@
 	(${R_IN}/ATM/START/eORCA1.2xLMD144x142/o2a_v3.nc, o2a.nc)
 
+# Change to use following files for relief and landice if you need to fit to the coupled IPSLCM6.1 version:
+#	(${R_IN}/ATM/Relief_orig.nc, Relief.nc), \
+#	(${R_IN}/ATM/landiceref_orig.nc, landiceref.nc) \
+#
 # Optional: The o2a.nc file is optional and is used to fit with the coupled configuration for the land-sea mask.
 # The o2a file can be removed if it does not correspond to the resolution or zoom. In that case, Relief.nc will be used to calculate the mask land-sea.
-# Use following o2a file to fit with IPSLCM6.0.11 coupled model:
+# Use following o2a file to fit with IPSLCM6.1 coupled model:
 #       (${R_IN}/ATM/START/eORCA1.2xLMD144x142/o2a_v3.nc, o2a.nc)
 # Use following o2a file for regular grid 96x95, correspond to coupled configuration IPSLCM5A2:
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card	(revision 6309)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card	(revision 6310)
@@ -29,7 +29,7 @@
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECDYN.nc), \
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECPHY.nc), \
-	(${R_IN}/ATM/Relief.nc, .), \
+	(${R_IN}/ATM/Relief_GMTED2010_15n015_00625deg_plus_GA.nc, Relief.nc), \
 	(${R_IN}/ATM/Rugos.nc, .), \
-	(${R_IN}/ATM/landiceref.nc, .) \
+	(${R_IN}/ATM/landiceref_GA_HR.new.nc, landiceref.nc) \
 	(${R_IN}/ATM/OZONE/UReading/historical.v20160711.v2/original/144x96x66/tro3_1979_2008_clim.nc, climoz.nc), \
 	(${R_IN}/ATM/LIMIT/AMIP.v20180427/original/360x180/BCS/amipbc_sst_360x180_1979_2008_clim.nc, amipbc_sst_1x1.nc), \
@@ -37,7 +37,11 @@
 	(${R_IN}/ATM/START/eORCA1.2xLMD144x142/o2a_v3.nc, o2a.nc)
 
+# Change to use following files for relief and landice if you need to fit to the coupled IPSLCM6.1 version:
+#	(${R_IN}/ATM/Relief_orig.nc, Relief.nc), \
+#	(${R_IN}/ATM/landiceref_orig.nc, landiceref.nc) \
+#
 # Optional: The o2a.nc file is optional and is used to fit with the coupled configuration for the land-sea mask.
 # The o2a file can be removed if it does not correspond to the resolution or zoom. In that case, Relief.nc will be used to calculate the mask land-sea.
-# Use following o2a file to fit with IPSLCM6.0.11 coupled model:
+# Use following o2a file to fit with IPSLCM6.1 coupled model:
 #       (${R_IN}/ATM/START/eORCA1.2xLMD144x142/o2a_v3.nc, o2a.nc)
 # Use following o2a file for regular grid 96x95, correspond to coupled configuration IPSLCM5A2:
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 6309)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 6310)
@@ -37,12 +37,16 @@
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECDYN.nc), \
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECPHY.nc), \
-	(${R_IN}/ATM/Relief.nc, .), \
+	(${R_IN}/ATM/Relief_GMTED2010_15n015_00625deg_plus_GA.nc, Relief.nc), \
 	(${R_IN}/ATM/Rugos.nc, .), \
-	(${R_IN}/ATM/landiceref.nc, .), \
+	(${R_IN}/ATM/landiceref_GA_HR.new.nc, landiceref.nc), \
 	(${R_IN}/ATM/START/eORCA1.2xLMD144x142/o2a_v3.nc, o2a.nc)
 
+# Change to use following files for relief and landice if you need to fit to the coupled IPSLCM6.1 version:
+#	(${R_IN}/ATM/Relief_orig.nc, Relief.nc), \
+#	(${R_IN}/ATM/landiceref_orig.nc, landiceref.nc) \
+#
 # Optional: The o2a.nc file is optional and is used to fit with the coupled configuration for the land-sea mask.
 # The o2a file can be removed if it does not correspond to the resolution or zoom. In that case, Relief.nc will be used to calculate the mask land-sea.
-# Use following o2a file to fit with IPSLCM6.0.11 coupled model:
+# Use following o2a file to fit with IPSLCM6.1 coupled model:
 #       (${R_IN}/ATM/START/eORCA1.2xLMD144x142/o2a_v3.nc, o2a.nc)
 # Use following o2a file for regular grid 96x95, correspond to coupled configuration IPSLCM5A2:
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card	(revision 6309)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card	(revision 6310)
@@ -29,7 +29,7 @@
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECDYN.nc), \
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECPHY.nc), \
-	(${R_IN}/ATM/Relief.nc, .), \
+	(${R_IN}/ATM/Relief_GMTED2010_15n015_00625deg_plus_GA.nc, Relief.nc), \
 	(${R_IN}/ATM/Rugos.nc, .), \
-	(${R_IN}/ATM/landiceref.nc, .) \
+	(${R_IN}/ATM/landiceref_GA_HR.new.nc, landiceref.nc) \
 	(${R_IN}/ATM/OZONE/UReading/historical.v20160711.v2/original/144x96x66/tro3_1979_2008_clim.nc, climoz.nc), \
 	(${R_IN}/ATM/LIMIT/AMIP.v20180427/original/360x180/BCS/amipbc_sst_360x180_1979_2008_clim.nc, amipbc_sst_1x1.nc), \
@@ -37,7 +37,11 @@
 	(${R_IN}/ATM/START/eORCA1.2xLMD144x142/o2a_v3.nc, o2a.nc)
 
+# Change to use following files for relief and landice if you need to fit to the coupled IPSLCM6.1 version:
+#	(${R_IN}/ATM/Relief_orig.nc, Relief.nc), \
+#	(${R_IN}/ATM/landiceref_orig.nc, landiceref.nc) \
+#
 # Optional: The o2a.nc file is optional and is used to fit with the coupled configuration for the land-sea mask.
 # The o2a file can be removed if it does not correspond to the resolution or zoom. In that case, Relief.nc will be used to calculate the mask land-sea.
-# Use following o2a file to fit with IPSLCM6.0.11 coupled model:
+# Use following o2a file to fit with IPSLCM6.1 coupled model:
 #       (${R_IN}/ATM/START/eORCA1.2xLMD144x142/o2a_v3.nc, o2a.nc)
 # Use following o2a file for regular grid 96x95, correspond to coupled configuration IPSLCM5A2:
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.4/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.4/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 6309)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.4/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 6310)
@@ -37,12 +37,16 @@
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECDYN.nc), \
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECPHY.nc), \
-	(${R_IN}/ATM/Relief.nc, .), \
+	(${R_IN}/ATM/Relief_GMTED2010_15n015_00625deg_plus_GA.nc, Relief.nc), \
 	(${R_IN}/ATM/Rugos.nc, .), \
-	(${R_IN}/ATM/landiceref.nc, .), \
+	(${R_IN}/ATM/landiceref_GA_HR.new.nc, landiceref.nc), \
 	(${R_IN}/ATM/START/eORCA1.2xLMD144x142/o2a_v3.nc, o2a.nc)
 
+# Change to use following files for relief and landice if you need to fit to the coupled IPSLCM6.1 version:
+#	(${R_IN}/ATM/Relief_orig.nc, Relief.nc), \
+#	(${R_IN}/ATM/landiceref_orig.nc, landiceref.nc) \
+#
 # Optional: The o2a.nc file is optional and is used to fit with the coupled configuration for the land-sea mask.
 # The o2a file can be removed if it does not correspond to the resolution or zoom. In that case, Relief.nc will be used to calculate the mask land-sea.
-# Use following o2a file to fit with IPSLCM6.0.11 coupled model:
+# Use following o2a file to fit with IPSLCM6.1 coupled model:
 #       (${R_IN}/ATM/START/eORCA1.2xLMD144x142/o2a_v3.nc, o2a.nc)
 # Use following o2a file for regular grid 96x95, correspond to coupled configuration IPSLCM5A2:
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.4/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.4/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card	(revision 6309)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.4/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card	(revision 6310)
@@ -29,7 +29,7 @@
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECDYN.nc), \
 	(${R_IN}/ATM/ECDYN.nc.20020101, ECPHY.nc), \
-	(${R_IN}/ATM/Relief.nc, .), \
+	(${R_IN}/ATM/Relief_GMTED2010_15n015_00625deg_plus_GA.nc, Relief.nc), \
 	(${R_IN}/ATM/Rugos.nc, .), \
-	(${R_IN}/ATM/landiceref.nc, .) \
+	(${R_IN}/ATM/landiceref_GA_HR.new.nc, landiceref.nc) \
 	(${R_IN}/ATM/OZONE/UReading/historical.v20160711.v2/original/144x96x66/tro3_1979_2008_clim.nc, climoz.nc), \
 	(${R_IN}/ATM/LIMIT/AMIP.v20180427/original/360x180/BCS/amipbc_sst_360x180_1979_2008_clim.nc, amipbc_sst_1x1.nc), \
@@ -37,7 +37,11 @@
 	(${R_IN}/ATM/START/eORCA1.2xLMD144x142/o2a_v3.nc, o2a.nc)
 
+# Change to use following files for relief and landice if you need to fit to the coupled IPSLCM6.1 version:
+#	(${R_IN}/ATM/Relief_orig.nc, Relief.nc), \
+#	(${R_IN}/ATM/landiceref_orig.nc, landiceref.nc) \
+#
 # Optional: The o2a.nc file is optional and is used to fit with the coupled configuration for the land-sea mask.
 # The o2a file can be removed if it does not correspond to the resolution or zoom. In that case, Relief.nc will be used to calculate the mask land-sea.
-# Use following o2a file to fit with IPSLCM6.0.11 coupled model:
+# Use following o2a file to fit with IPSLCM6.1 coupled model:
 #       (${R_IN}/ATM/START/eORCA1.2xLMD144x142/o2a_v3.nc, o2a.nc)
 # Use following o2a file for regular grid 96x95, correspond to coupled configuration IPSLCM5A2: