Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2AER/piControl_CO2AER_TEST/COMP/inca.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2AER/piControl_CO2AER_TEST/COMP/inca.card	(revision 6313)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2AER/piControl_CO2AER_TEST/COMP/inca.card	(revision 6316)
@@ -101,5 +101,6 @@
 	(inca1mo_chem.nc        ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_chem.nc       ,    NONE  ),\
 	(inca1mo_washrate.nc    ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_washrate.nc   ,    NONE  ),\
-	(aerosols_from_inca.nc   ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_aerosols_from_inca.nc,    NONE  )
+	(aerosols_from_inca.nc   ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_aerosols_from_inca.nc,    NONE  ),\
+        (sulfur.nc              ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_sulfur.nc          ,    NONE  )
 
 [Post_1D_inca_aero]
@@ -131,3 +132,2 @@
 Seasonal=OFF
 
-
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2AER/piControl_CO2AER_TEST/COMP/oasis.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2AER/piControl_CO2AER_TEST/COMP/oasis.card	(revision 6313)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2AER/piControl_CO2AER_TEST/COMP/oasis.card	(revision 6316)
@@ -110,7 +110,7 @@
     (O_CO2FLX_oceanx_08.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_CO2FLX.nc,    Post_ncks_cdo),\
     (O_DMSFLX_oceanx_09.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_DMSFLX.nc,    Post_ncks_cdo),\
-    (TEMPO_1D_cpl_atm.nc,    ${R_OUT_CPL_O_D}/${PREFIX}_1D_cpl_atm.nc , Post_1D_cpl_atm), \
-    (TEMPO_1D_cpl_oce.nc,    ${R_OUT_CPL_O_D}/${PREFIX}_1D_cpl_oce.nc , Post_1D_cpl_oce), \
-    (TEMPO_1M_cpl_atm.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_1M_cpl_atm.nc , Post_1M_cpl_atm), \
+    (TEMPO_1D_cpl_atm.nc,    ${R_OUT_CPL_O_D}/${PREFIX}_1D_cpl_atm.nc , Post_1D_cpl_atm),\
+    (TEMPO_1D_cpl_oce.nc,    ${R_OUT_CPL_O_D}/${PREFIX}_1D_cpl_oce.nc , Post_1D_cpl_oce),\
+    (TEMPO_1M_cpl_atm.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_1M_cpl_atm.nc , Post_1M_cpl_atm),\
     (TEMPO_1M_cpl_oce.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_1M_cpl_oce.nc , Post_1M_cpl_oce)
 
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2AER/piControl_CO2AER_TEST/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2AER/piControl_CO2AER_TEST/COMP/opa9.card	(revision 6313)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2AER/piControl_CO2AER_TEST/COMP/opa9.card	(revision 6316)
@@ -117,5 +117,5 @@
 ChunckJob2D = NONE
 TimeSeriesVars3D = (thetao, so)
-ChunckJob3D = 100Y
+ChunckJob3D = NONE
 Seasonal=ON
 
@@ -126,5 +126,5 @@
 ChunckJob2D = NONE
 TimeSeriesVars3D = ()
-ChunckJob3D = 100Y
+ChunckJob3D = NONE
 Seasonal=ON
 
@@ -135,5 +135,5 @@
 ChunckJob2D = NONE
 TimeSeriesVars3D = ()
-ChunckJob3D = 100Y
+ChunckJob3D = NONE
 Seasonal=ON
 
@@ -144,5 +144,5 @@
 ChunckJob2D = NONE
 TimeSeriesVars3D = ( )
-ChunckJob3D = 100Y
+ChunckJob3D = NONE
 Seasonal=ON
 
@@ -171,5 +171,5 @@
 ChunckJob2D = NONE
 TimeSeriesVars3D = (ttrdtr_zdfp, ttrdtr_eivad, ttrdtr_iso, ttrdtr_totad, ttrdtr_tot, strdtr_zdfp, strdtr_eivad, strdtr_iso, strdtr_totad, strdtr_tot)
-ChunckJob3D = 100Y
+ChunckJob3D = NONE
 Seasonal=ON
 
@@ -189,5 +189,5 @@
 GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = ()
-ChunckJob2D = 100Y
+ChunckJob2D = OFF
 TimeSeriesVars3D = ()
 ChunckJob3D = OFF
@@ -220,5 +220,5 @@
 ChunckJob2D = NONE
 TimeSeriesVars3D = (thetao, so)
-ChunckJob3D = 50Y
+ChunckJob3D = NONE
 Seasonal=OFF
 
@@ -229,5 +229,5 @@
 ChunckJob2D = NONE
 TimeSeriesVars3D = (umo, vozocrtx,vozoeivu)
-ChunckJob3D = 50Y
+ChunckJob3D = NONE
 Seasonal=OFF
 
@@ -238,5 +238,5 @@
 ChunckJob2D = NONE
 TimeSeriesVars3D = ( )
-ChunckJob3D = 50Y
+ChunckJob3D = NONE
 Seasonal=OFF
 
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2AER/piControl_CO2AER_TEST/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2AER/piControl_CO2AER_TEST/COMP/pisces.card	(revision 6313)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2AER/piControl_CO2AER_TEST/COMP/pisces.card	(revision 6316)
@@ -58,5 +58,7 @@
         (${config_UserChoices_JobName}_1m_ptrc_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_ptrc_T.nc    , NONE) , \
         (${config_UserChoices_JobName}_1m_diad_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_diad_T.nc    , NONE) , \
-    	(${config_UserChoices_JobName}_1d_bioscalar.nc     , ${R_OUT_MBG_O_D}/${PREFIX}_1D_bioscalar.nc , NONE)
+    	(${config_UserChoices_JobName}_1m_gastrc.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_gastrc.nc    , NONE) , \
+        (${config_UserChoices_JobName}_1d_gastrc.nc        , ${R_OUT_MBG_O_D}/${PREFIX}_1D_gastrc.nc    , NONE) , \
+        (${config_UserChoices_JobName}_1d_bioscalar.nc     , ${R_OUT_MBG_O_D}/${PREFIX}_1D_bioscalar.nc , NONE)
 
 [Post_1D_bioscalar]
@@ -109,7 +111,7 @@
 GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = (Cflx, Dpco2, EPC100, Heup,  Nfix)
-ChunckJob2D = 50Y
+ChunckJob2D = OFF
 TimeSeriesVars3D = (PAR, TPP)
-ChunckJob3D = 50Y
+ChunckJob3D = NONE
 Seasonal=OFF
 
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/tracer.def_ESMCO2AER
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/tracer.def_ESMCO2AER	(revision 6313)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/tracer.def_ESMCO2AER	(revision 6316)
@@ -11,5 +11,3 @@
 Rn222
 Pb210
-NO2,NO3,HNO3,N2O5,SO2,H2S,DMS,DMSO,NH3,CIDUSTM,CINO3M,CIN,AIBCM,AIPOMM,AIN,CSSSM,CSSO4M
-CSNH4M hadv=0 vadv=0
-CSMSAM,CSNO3M,CSN,ASSSM,ASBCM,ASPOMM,ASSO4M,ASNH4M,ASMSAM,ASNO3M,ASN,SSSSM,SSN
+NO2,NO3,HNO3,N2O5,SO2,H2S,DMS,DMSO,NH3,CIDUSTM,CINO3M,CIN,AIBCM,AIPOMM,AIN,CSSSM,CSSO4M,CSNH4M,CSMSAM,CSNO3M,CSN,ASSSM,ASBCM,ASPOMM,ASSO4M,ASNH4M,ASMSAM,ASNO3M,ASN,SSSSM,SSN