Index: CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/lmdz.card	(revision 6320)
+++ CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/lmdz.card	(revision 6329)
@@ -39,5 +39,5 @@
 # output_level_filename=NONE  : the file will not be written
 output_level_histmth = 5
-output_level_histday = 3
+output_level_histday = NONE
 output_level_histhf  = NONE
 output_level_histmthNMC = NONE
Index: CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/oasis.card
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/oasis.card	(revision 6320)
+++ CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/oasis.card	(revision 6329)
@@ -23,15 +23,15 @@
 [BoundaryFiles]
 List=	()
-ListNonDel= (${R_IN}/CPL/IPSLCM7/${config_UserChoices_ORCA_version}xICO${RESOL_NBP}/grids_${config_UserChoices_ORCA_version}xICO${RESOL_NBP}_MOSAIX_v2.nc, grids.nc),\
-    	    (${R_IN}/CPL/IPSLCM7/${config_UserChoices_ORCA_version}xICO${RESOL_NBP}/masks_${config_UserChoices_ORCA_version}xICO${RESOL_NBP}_MOSAIX_v2.nc, masks.nc),\
-	        (${R_IN}/CPL/IPSLCM7/${config_UserChoices_ORCA_version}xICO${RESOL_NBP}/areas_${config_UserChoices_ORCA_version}xICO${RESOL_NBP}_MOSAIX_v2.nc, areas.nc),\
-            (${R_IN}/CPL/IPSLCM7/${config_UserChoices_ORCA_version}xICO${RESOL_NBP}/rmp_teORCA1.2_to_tICO40_TempIceAlb_1stOrder_MOSAIX_v2.nc, .),\
-            (${R_IN}/CPL/IPSLCM7/${config_UserChoices_ORCA_version}xICO${RESOL_NBP}/rmp_tICO40_to_ueORCA1.2_WindStress_2ndOrder_MOSAIX_v2.nc, .),\
-	        (${R_IN}/CPL/IPSLCM7/${config_UserChoices_ORCA_version}xICO${RESOL_NBP}/rmp_tICO40_to_veORCA1.2_WindStress_2ndOrder_MOSAIX_v2.nc, .),\
-	        (${R_IN}/CPL/IPSLCM7/${config_UserChoices_ORCA_version}xICO${RESOL_NBP}/rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_MOSAIX_v2.nc, .),\
-            (${R_IN}/CPL/IPSLCM7/${config_UserChoices_ORCA_version}xICO${RESOL_NBP}/rmp_tICO40_to_teORCA1.2_calving_nosouth_MOSAIX_v2.nc, .),\
-            (${R_IN}/CPL/IPSLCM7/${config_UserChoices_ORCA_version}xICO${RESOL_NBP}/rmp_tICO40_to_teORCA1.2_calving_iceberg_MOSAIX_v2.nc, .),\
-            (${R_IN}/CPL/IPSLCM7/${config_UserChoices_ORCA_version}xICO${RESOL_NBP}/rmp_tICO40_to_teORCA1.2_calving_iceshelf_MOSAIX_v2.nc, .),\
-            (${R_IN}/CPL/IPSLCM7/${config_UserChoices_ORCA_version}xICO${RESOL_NBP}/rmp_tICO40_to_teORCA1.2_runoff_Quantity_to_Surfacic_MOSAIX_v2.nc, .)
+ListNonDel= (${R_IN}/CPL/IPSLCM7/${config_UserChoices_ORCA_version}xICO${RESOL_NBP}/grids_${config_UserChoices_ORCA_version}xICO${RESOL_NBP}_v3.nc, grids.nc),\
+    	    (${R_IN}/CPL/IPSLCM7/${config_UserChoices_ORCA_version}xICO${RESOL_NBP}/masks_${config_UserChoices_ORCA_version}xICO${RESOL_NBP}_v3.nc, masks.nc),\
+	        (${R_IN}/CPL/IPSLCM7/${config_UserChoices_ORCA_version}xICO${RESOL_NBP}/areas_${config_UserChoices_ORCA_version}xICO${RESOL_NBP}_v3.nc, areas.nc),\
+            (${R_IN}/CPL/IPSLCM7/${config_UserChoices_ORCA_version}xICO${RESOL_NBP}/rmp_teORCA1.2_to_tICO40_TempIceAlb_1stOrder_v3.nc, .),\
+            (${R_IN}/CPL/IPSLCM7/${config_UserChoices_ORCA_version}xICO${RESOL_NBP}/rmp_tICO40_to_ueORCA1.2_WindStress_2ndOrder_v3.nc, .),\
+	        (${R_IN}/CPL/IPSLCM7/${config_UserChoices_ORCA_version}xICO${RESOL_NBP}/rmp_tICO40_to_veORCA1.2_WindStress_2ndOrder_v3.nc, .),\
+	        (${R_IN}/CPL/IPSLCM7/${config_UserChoices_ORCA_version}xICO${RESOL_NBP}/rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_v3.nc, .),\
+            (${R_IN}/CPL/IPSLCM7/${config_UserChoices_ORCA_version}xICO${RESOL_NBP}/rmp_tICO40_to_teORCA1.2_calving_nosouth_v3.nc, .),\
+            (${R_IN}/CPL/IPSLCM7/${config_UserChoices_ORCA_version}xICO${RESOL_NBP}/rmp_tICO40_to_teORCA1.2_calving_iceberg_v3.nc, .),\
+            (${R_IN}/CPL/IPSLCM7/${config_UserChoices_ORCA_version}xICO${RESOL_NBP}/rmp_tICO40_to_teORCA1.2_calving_iceshelf_v3.nc, .),\
+            (${R_IN}/CPL/IPSLCM7/${config_UserChoices_ORCA_version}xICO${RESOL_NBP}/rmp_tICO40_to_teORCA1.2_runoff_Quantity_to_Surfacic_v3.nc, .)
 
 [SmoothFiles]
Index: CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/PARAM/namcouple_ORCA1xICO40
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/PARAM/namcouple_ORCA1xICO40	(revision 6320)
+++ CONFIG/UNIFORM/v7/IPSLCM7/GENERAL/PARAM/namcouple_ORCA1xICO40	(revision 6329)
@@ -60,5 +60,5 @@
 # Mozaic: 1) mapping filename 2) connected unit 3) dataset rank 4) Maximum
 #         number of overlapped neighbors
-rmp_teORCA1.2_to_tICO40_TempIceAlb_1stOrder_MOSAIX_v2.nc dst
+rmp_teORCA1.2_to_tICO40_TempIceAlb_1stOrder_v3.nc dst
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -75,5 +75,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 #
-rmp_teORCA1.2_to_tICO40_TempIceAlb_1stOrder_MOSAIX_v2.nc dst
+rmp_teORCA1.2_to_tICO40_TempIceAlb_1stOrder_v3.nc dst
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -90,5 +90,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 # 
-rmp_teORCA1.2_to_tICO40_TempIceAlb_1stOrder_MOSAIX_v2.nc dst
+rmp_teORCA1.2_to_tICO40_TempIceAlb_1stOrder_v3.nc dst
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -105,5 +105,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 #
- rmp_teORCA1.2_to_tICO40_TempIceAlb_1stOrder_MOSAIX_v2.nc dst
+ rmp_teORCA1.2_to_tICO40_TempIceAlb_1stOrder_v3.nc dst
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -119,5 +119,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 #
-rmp_teORCA1.2_to_tICO40_TempIceAlb_1stOrder_MOSAIX_v2.nc dst
+rmp_teORCA1.2_to_tICO40_TempIceAlb_1stOrder_v3.nc dst
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -133,5 +133,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 #
-rmp_teORCA1.2_to_tICO40_TempIceAlb_1stOrder_MOSAIX_v2.nc dst
+rmp_teORCA1.2_to_tICO40_TempIceAlb_1stOrder_v3.nc dst
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #  
@@ -146,5 +146,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 #
-rmp_teORCA1.2_to_tICO40_TempIceAlb_1stOrder_MOSAIX_v2.nc dst
+rmp_teORCA1.2_to_tICO40_TempIceAlb_1stOrder_v3.nc dst
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -164,5 +164,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 # Interpolation method ou parametres mozaic
-rmp_tICO40_to_ueORCA1.2_WindStress_2ndOrder_MOSAIX_v2.nc src
+rmp_tICO40_to_ueORCA1.2_WindStress_2ndOrder_v3.nc src
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -177,5 +177,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 # Interpolation method ou parametres mozaic
-rmp_tICO40_to_ueORCA1.2_WindStress_2ndOrder_MOSAIX_v2.nc src
+rmp_tICO40_to_ueORCA1.2_WindStress_2ndOrder_v3.nc src
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -190,5 +190,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 # Interpolation method ou parametres mozaic
-rmp_tICO40_to_ueORCA1.2_WindStress_2ndOrder_MOSAIX_v2.nc src
+rmp_tICO40_to_ueORCA1.2_WindStress_2ndOrder_v3.nc src
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -205,5 +205,5 @@
 MAPPING
 # Interpolation method or mozaic parameters
-rmp_tICO40_to_veORCA1.2_WindStress_2ndOrder_MOSAIX_v2.nc src
+rmp_tICO40_to_veORCA1.2_WindStress_2ndOrder_v3.nc src
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -219,5 +219,5 @@
 MAPPING
 # Interpolation method or mozaic parameters
-rmp_tICO40_to_veORCA1.2_WindStress_2ndOrder_MOSAIX_v2.nc src
+rmp_tICO40_to_veORCA1.2_WindStress_2ndOrder_v3.nc src
 #
 # CHECKOUT: indicate computation of global, land and sea field integrals.
@@ -234,5 +234,5 @@
 MAPPING
 # Interpolation method or mozaic parameters
-rmp_tICO40_to_veORCA1.2_WindStress_2ndOrder_MOSAIX_v2.nc src
+rmp_tICO40_to_veORCA1.2_WindStress_2ndOrder_v3.nc src
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -246,5 +246,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 # Interpolation method ou parametres mozaic
-rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_MOSAIX_v2.nc src
+rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_v3.nc src
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 # 
@@ -259,5 +259,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 # Interpolation method ou parametres mozaic
-rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_MOSAIX_v2.nc src
+rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_v3.nc src
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -272,5 +272,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 # Interpolation method ou parametres mozaic
-rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_MOSAIX_v2.nc src
+rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_v3.nc src
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -285,5 +285,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 # Interpolation method ou parametres mozaic
-rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_MOSAIX_v2.nc src
+rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_v3.nc src
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -298,5 +298,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 # Interpolation method ou parametres mozaic
-rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_MOSAIX_v2.nc src
+rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_v3.nc src
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -311,5 +311,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 # Interpolation method or mozaic parameters
-rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_MOSAIX_v2.nc src
+rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_v3.nc src
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -324,5 +324,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 # Interpolation method ou parametres mozaic
-rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_MOSAIX_v2.nc src
+rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_v3.nc src
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -337,5 +337,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 # Interpolation method or mozaic parameters
-rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_MOSAIX_v2.nc src
+rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_v3.nc src
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -350,5 +350,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 # Interpolation method ou parametres mozaic
-rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_MOSAIX_v2.nc src
+rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_v3.nc src
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -363,5 +363,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 # Interpolation method ou parametres mozaic
-rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_MOSAIX_v2.nc src
+rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_2ndOrder_v3.nc src
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -371,5 +371,5 @@
 #
 COCALVIN OCalving  36 <freq_coupling_roff_calv>  2  icbrg.nc  <output_mode>
-1 16002 362 332 tico    torc  LAG=<lag_atm_roff_calv> 
+1 16002 362 332 tico    torc  LAG=<lag_atm> 
 P  0 P  2
 LOCTRANS MAPPING
@@ -377,5 +377,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 # Interpolation method ou parametres mozaic
-rmp_tICO40_to_teORCA1.2_calving_nosouth_MOSAIX_v2.nc dst
+rmp_tICO40_to_teORCA1.2_calving_nosouth_v3.nc dst
 # CHECKOUT: indicate computation of global, land and sea field integrals.
 #
@@ -385,5 +385,5 @@
 #
 COCALVIN OIceberg  36 <freq_coupling_roff_calv>  3  icbrg.nc  <output_mode>
-1 16002 362 332 tico    torc  LAG=<lag_atm_roff_calv> 
+1 16002 362 332 tico    torc  LAG=<lag_atm> 
 P  0 P  2
 LOCTRANS MAPPING BLASNEW
@@ -391,5 +391,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 # Interpolation method ou parametres mozaic
-rmp_tICO40_to_teORCA1.2_calving_iceberg_MOSAIX_v2.nc dst
+rmp_tICO40_to_teORCA1.2_calving_iceberg_v3.nc dst
 0.5 0
 # CHECKOUT: indicate computation of global, land and sea field integrals.
@@ -399,5 +399,5 @@
 #
 COCALVIN OIcshelf  36 <freq_coupling_roff_calv>  3  icshf.nc  <output_mode>
-1 16002 362 332 tico    torc  LAG=<lag_atm_roff_calv> 
+1 16002 362 332 tico    torc  LAG=<lag_atm> 
 P  0 P  2
 LOCTRANS MAPPING BLASNEW
@@ -405,5 +405,5 @@
 # CHECKIN: indicate computation of global, land and sea field integrals.
 # Interpolation method ou parametres mozaic
-rmp_tICO40_to_teORCA1.2_calving_iceshelf_MOSAIX_v2.nc dst
+rmp_tICO40_to_teORCA1.2_calving_iceshelf_v3.nc dst
 0.5 0
 # CHECKOUT: indicate computation of global, land and sea field integrals.
@@ -413,5 +413,5 @@
 #
 COLIQRUN  O_Runoff 32 <freq_coupling_roff_calv>  4  flxat.nc   <output_mode>
-1 16002 362 332 oico  torc  LAG=<lag_atm_roff_calv> 
+1 16002 362 332 oico  torc  LAG=<lag_atm> 
 P  0 P  2
 LOCTRANS MAPPING CONSERV BLASNEW
@@ -419,7 +419,7 @@
 # Interpolation method ou parametres mozaic
 # weights convert from kg/s to kg/m^2/s
-rmp_tICO40_to_teORCA1.2_runoff_Quantity_to_Surfacic_MOSAIX_v2.nc dst
-#rmp_tICO40_to_teORCA1.2_Quantity_MOSAIX_v2.nc src
-#rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_MOSAIX_v2.nc src
+rmp_tICO40_to_teORCA1.2_runoff_Quantity_to_Surfacic_v3.nc dst
+#rmp_tICO40_to_teORCA1.2_Quantity_v3.nc src
+#rmp_tICO40_to_teORCA1.2_HeatWaterFluxes_v3.nc src
 # CONSERV
 GLOBAL bfb
Index: CONFIG/UNIFORM/v7/IPSLCM7/SOURCES/NEMO/cpl_oasis3.F90
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/SOURCES/NEMO/cpl_oasis3.F90	(revision 6320)
+++ CONFIG/UNIFORM/v7/IPSLCM7/SOURCES/NEMO/cpl_oasis3.F90	(revision 6329)
@@ -233,5 +233,5 @@
                   IF( ln_ctl ) WRITE(numout,*) "Define", ji, jc, jm, " "//TRIM(zclname), " for ", OASIS_Out
                   CALL oasis_def_var (ssnd(ji)%nid(jc,jm), zclname, id_part   , (/ 2, 0 /),   &
-                     &                OASIS_Out          , ishape , OASIS_REAL, nerror )
+                     &                OASIS_Out          , OASIS_REAL, nerror )
                   IF ( nerror /= OASIS_Ok ) THEN
                      WRITE(numout,*) 'Failed to define transient ', ji, jc, jm, " "//TRIM(zclname)
@@ -278,5 +278,5 @@
                   IF( ln_ctl ) WRITE(numout,*) "Define", ji, jc, jm, " "//TRIM(zclname), " for ", OASIS_In
                   CALL oasis_def_var (srcv(ji)%nid(jc,jm), zclname, id_part   , (/ 2, 0 /),   &
-                     &                OASIS_In           , ishape , OASIS_REAL, nerror )
+                     &                OASIS_In           , OASIS_REAL, nerror )
                   IF ( nerror /= OASIS_Ok ) THEN
                      WRITE(numout,*) 'Failed to define transient ', ji, jc, jm, " "//TRIM(zclname)
Index: CONFIG/UNIFORM/v7/IPSLCM7/compile_ipslcm7.sh
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/compile_ipslcm7.sh	(revision 6320)
+++ CONFIG/UNIFORM/v7/IPSLCM7/compile_ipslcm7.sh	(revision 6329)
@@ -253,5 +253,5 @@
    delkeys="key_nosignedzero key_mpp_rep"
 else
-   addkeys="key_top key_pisces key_age key_cfc key_cpl_carbon_cycle key_gas key_oasis3"
+   addkeys="key_top key_pisces key_age key_cfc key_cpl_carbon_cycle key_gas key_oasis3 key_oa3mct_v3"
    if [ ${oceanbio} == y ] ; then
       if [ ${esmco2} == y ] ; then