Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/GES_LR/COMP/inca.card.xios
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/GES_LR/COMP/inca.card.xios	(revision 6343)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/GES_LR/COMP/inca.card.xios	(revision 6343)
@@ -0,0 +1,89 @@
+#- $Id: inca.card 70 2007-06-21 14:20:42Z acosce $
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+#choose if input file will be regrid by xios, or read without regrid with netcdf
+xios_read=y
+# Set LMDZ_10m_winds to choose if the simulation will use online 10m wind (=y) or offline (=n)
+LMDZ_10m_winds=y
+#coupled model with ORCH
+#if yes, you need to put to CHEMISTRY_BVOC=y in orchidee.def and decomment lines for fertilizer and bbg in orchidee.card
+CoupOrchInca=n
+#active or not chemistry flux in output 
+calcul_flux=n
+#choose which type of aircraft you will use (0 - 1 - 2 - 3) (no aircraft / old inca aircraft / new subsonic inca aircraft / subsonic + hypersonic inca aircraft)
+flag_plane=1
+#choose which time interpolation you want to interpolate sflx file. ( 0 - 1) (no interpolation / point to point interpolation) 
+#be careful name of sflx file change with the choice of emi_interp_time ( no file / sflx_p2p.nc) 
+emi_interp_time=1
+
+# Specify output frequency for output files 
+# you can choose the frequency 1d (daily), 1mo (monthly), other (1ts, 5d, etc.) or NONE if to deactivate it
+# if you choose 1d the file will be store in CHM/Output/DA
+# if you choose 1mo the file will be store in CHM/Output/MO
+# if you choose another frequency, the file will be store in CHM/Output/DA by default
+output_frequency_ges=1d
+
+
+[InitialStateFiles]
+List= ()
+
+	
+[BoundaryFiles]
+List=(${R_IN}/CHM/IPCC_AR6/SFLX/VERS3/${RESOL_CHM}/ANT/sflx_lmdz_ANT_${year}_dyn.nc,   sflx_ANT_LR.nc         ),\
+     (${R_IN}/CHM/IPCC_AR6/SFLX/VERS3/${RESOL_CHM}/BBG/sflx_lmdz_BBG_${year}_dyn.nc,   sflx_BBG_LR.nc         ),\
+     (${R_IN}/CHM/IPCC_AR6/AIRCRAFT/${RESOL_CHM}/aircraft_${year}_phy.nc           ,   aircraft_mth.nc     ),\
+     (${R_IN}/CHM/IPCC_AR6/OXYDANTS/${RESOL_CHM}_yearly_interpolated/oxydants_${year}.nc,   oxydants.nc         )
+
+
+ListNonDel= (${R_IN}/CHM/IPCC_AR6/SFLX/VERS3/${RESOL_CHM}/sflx_lmdz_GHG_dyn.nc  ,   sflx_GHG_LR.nc     )\
+            (${R_IN}/CHM/IPCC_AR6/SFLX/VERS3/${RESOL_CHM}/sflx_lmdz_MISC_dyn.nc ,   sflx_MISC_LR.nc    )\
+            (${R_IN}/CHM/IPCC_AR6/SFLX/VERS3/${RESOL_CHM}/sflx_lmdz_NAT_dyn.nc  ,   sflx_NAT_LR.nc     )\
+	    (${R_IN}/CHM/FILES_LONxLAT/landuse_lmdz_dyn.nc   		,   landuse.nc		),\
+	    (${R_IN}/CHM/FILES_LONxLAT/npp_dyn.nc	       		,   npp.nc		),\
+	    (${R_IN}/CHM/FILES_LONxLAT/co2_carbonator_1deg.nc				,   co2_carbonator.nc	),\
+ 	    (${R_IN}/CHM/INCA${RESOL_CHM}/new_phototable.dat   	            ,   phototable.dat	)
+
+
+
+[ParametersFiles]
+List= (${SUBMIT_DIR}/PARAM/inca.def, .),\
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/context_inca.xml		, .				),\
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/context_input_inca.xml	, .				),\
+    	(${MODIPSL}/modeles/INCA/src/INCA_XML/context_oxydants_inca.xml	, .				),\
+    	(${MODIPSL}/modeles/INCA/src/INCA_XML/context_start_GES_inca.xml, context_start_inca.xml	),\
+    	(${MODIPSL}/modeles/INCA/src/INCA_XML/context_co2_inca.xml  	, .				),\
+    	(${MODIPSL}/modeles/INCA/src/INCA_XML/context_sflx_inca.xml  	, .				),\
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/field_def_inca.xml	, .				),\
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_restart.xml	, file_def_inca_restart.xml 	),\
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_GES.xml	, file_def_inca.xml 		),\
+    	(${MODIPSL}/bin/inca_${ResolAtm}_${OptMode}_${ConfChem}.dat, inca.dat)
+
+	
+
+[RestartFiles]
+# List restart that have to be saved/restored each loop (file out, saved, and in) :
+List= (chem_restart.nc, chem_restart.nc, chem_start.nc)
+
+
+
+[OutputText]
+List=(inca.out, inca.def,context_inca.xml,field_def_inca.xml,file_def_inca.xml, inca_IDxml.out)
+
+[OutputFiles]
+List=	(inca1d_ges.nc,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_ges.nc, Post_1D_inca_ges  ),\
+	(inca1mo_ges.nc,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_ges.nc, NONE  ),\
+	(mmr_ce0l_ico.nc        ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_mmr_ce0l_ico.nc    , NONE)
+
+
+
+
+[Post_1D_inca_ges]
+Patches= ()
+GatherWithInternal = (lon, lat, presnivs, , time_centered, time_centered_bounds, time_counter, area)
+TimeSeriesVars2D = ()
+ChunckJob2D = NONE
+TimeSeriesVars3D = (vmrch4,vmrco,vmrco2oc,vmrco2bim,vmrco2bih,jn2o,jmcf)
+ChunckJob3D = NONE
+Seasonal=OFF